overlay network test script
diff --git a/scripts/overlaytest.sh b/scripts/overlaytest.sh
new file mode 100644
index 0000000..b30d866
--- /dev/null
+++ b/scripts/overlaytest.sh
@@ -0,0 +1,3 @@
+# kubectl apply -f ds-overlaytest.yaml
+
+echo "=> Start network overlay test"; kubectl get pods -l name=overlaytest -o jsonpath='{range .items[*]}{@.metadata.name}{" "}{@.spec.nodeName}{"\n"}{end}' | while read spod shost; do kubectl get pods -l name=overlaytest -o jsonpath='{range .items[*]}{@.status.podIP}{" "}{@.spec.nodeName}{"\n"}{end}' | while read tip thost; do kubectl --request-timeout='10s' exec $spod -- /bin/sh -c "ping -c2 $tip > /dev/null 2>&1"; RC=$?; if [ $RC -ne 0 ]; then echo $shost cannot reach $thost; fi; done; done; echo "=> End network overlay test"